@import "mixins";

.posts {
  color: #4E4E4E;
  margin-bottom: 77px;
  @include respond(tablet) {
    margin-bottom: 107px;
  }
  @include respond(laptop) {
    margin-bottom: 116px;
    @include flex($wrap: wrap);
    flex-basis: 50%;
  }

  &__item {
    display: none;
    margin-bottom: 28px;

    &:nth-child(-n+3) {
      display: block;
    }

    @include respond(tablet) {
      &:nth-child(-n+5) {
        display: flex;
      }
      margin-bottom: 32px;
    }
    @include respond(laptop) {
      width: 50%;
    }

    .post {
      &__body {
        @include respond(tablet) {
          margin-left: 20px;
        }
      }

      &__title {
        font-size: 14px;
        font-weight: 700;
        line-height: 30px;
        @include respond(tablet) {
          font-size: 16px;
        }
      }

      &__img {
        width: 50%;
        max-width: 160px;
        height: auto;
        margin-bottom: 11px;
        @include respond(tablet) {
          margin-bottom: 0;
          width: 160px;
          height: 140px;
        }
      }

      &__info {
        @include flex($justify: flex-start);
        color: #7C7C7C;
        line-height: 20px;
        margin-bottom: 13px;
        @include respond(tablet) {
          font-size: 12px;
        }
      }

      &__separator {
        margin: 0 5px;
      }

      &__text {
        display: none;
        line-height: 26px;
        color: #5C5C5C;
        font-size: 14px;
        @include respond(tablet) {
          display: block;
        }
      }
    }

    &--hidden {
      display: none;
    }
  }
}